# ![IP Finder](https://github.com/LinxGem33/IP-Finder/blob/master/screens/ip-address3.png?raw=true) IP Finder

### What is IP Finder Gnome Extension?

IP Finder displays information about your public IP address (hostname, country, AS block etc) as well as show a map & flag image of the IP's geolocation this extension is also useful for informational purposes to monitor VPN geolocation and public network IP addresses.

##

### Where is IP Finder's data retrieved from?

**Flag Icons:** 

> Flag Icons used in IP Finder's extension are courtesy of: [gosquared.com](http://gosquared.com), 
featuring thousands of high-quality flags, covering every country in the world.

**IP Data:** 

> IP Data used for API calls are courtesy of: [ipinfo.io](http://ipinfo.io/) & [icanhazip.com](http://icanhazip.com), ipinfo.io provides a IP lookup API to quickly and simply integrate IP geolocation.

**Map Image:** 

> The Geolocation Map Tile Image is courtesy of: [Google Maps](https://www.google.com/maps). google maps provides geographic data such as geocoding, directions, elevation, place and time zone information.


## 

### Installation

You can now install this extension from extensions.gnome.org website by clicking on the link below; 

> [extensions.gnome.org](https://extensions.gnome.org/extension/1190/ip-finder/)

Or you can also download the latest source code and manually install by clicking on the link below;

> [Source code](https://github.com/LinxGem33/IP-Finder/releases)

##

### Additional Information!

I've updated the code base from growing's repo as its not been updated in over a year ill hopefully be adding more features to this extension over time. 

> [**So whats new in version 2 of IP Finder?** ](https://github.com/LinxGem33/IP-Finder/releases)

I've updated support for gnome 3.20 &amp; 3.22 as well as 3.24 the  CSS style sheet has been updated for better integration with gnome shell and better readability with light and dark themes, the default no connection flag has now been changed to something more neutral, API calls have now been changed to use HTTPS along with a refresh of the layout of prefs.js and lastly but not least there is a new default map icon.

## 

### Feature Development Tracker!


| Completed Tasks | ![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true)| In Progress Tasks |![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-off.png?raw=true)|
| :------------- |--- |:------------- |---|
| Add support for gnome 3.20 & 3.22 |![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true) | #3.. `N/A completed` |100%
|Fix css style sheet |![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true)  |#5.. `N/A completed` |100%
|#3.. Change HTTP calls to HTTPS  | ![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true)|#6.. `N/A completed` | 100%
|Update layout of prefs.js |![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true) |Add a link to a leak test service|0%
|#5..Change default icon flag|![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true) |Add support for ipv6 addresses|0%
|#6..Update needed flag icons| ![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true)|Add copy to clipboard feature |5%
|#7..Add support for gnome 3.24|![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true) |#7.. `N/A completed`  |100%
|New default map icon|![](https://github.com/adapta-project/adapta-github-resources/blob/master/images/check-on.png?raw=true)||

## 

### Issues & Bugs

Bugs & issues should be reported [here](https://github.com/LinxGem33/IP-Finder/issues) on the Github issues tracker page.

## 

### Help & Support

If your unsure about anything or need a bit more help and support with IP Finder or just want to know a bit more about this extension and what it can do for you, just head over to the Wiki page by clicking on the link below:

> [IP Finder's Wiki](https://github.com/LinxGem33/IP-Finder/wiki)

##

### License & Terms ![](https://github.com/LinxGem33/IP-Finder/blob/master/screens/Copyleft-16.png?raw=true)

IP Finder is available under the terms of the GPL-3.0 license See [`COPYING`](https://github.com/LinxGem33/IP-Finder/blob/master/COPYING) for details.

## 

### Contributions & Suggestions

Any suggestions for features and contributions to the continuing code development can be made on IP Finder's Github page via the issue tracker or code contributions via a pull request.

## 

![](https://github.com/LinxGem33/IP-Finder/blob/master/screens/dip.png?raw=true)

![](https://github.com/LinxGem33/IP-Finder/blob/master/screens/ipd.png?raw=true) 
